Name:		rosapanel
Version:	1.0
Release:	28
Epoch:		1
Summary:	ROSA panel plasmoid
Group:		Graphical desktop/KDE 
License:	LGPLv2
URL:		http://rosalab.ru/
Source0:	%{name}-%{version}.tar.gz
# Use KDE's translations for ~/Documents and ~/Downloads
# instead of providing our own that has to match...
Patch0:		rosapanel-1.0-i18n-directories.patch
Requires:	kdebase4-workspace 
Requires:	python-kde4 
Requires:	plasma-scriptengine-python
Requires:	rosa-launcher 
Requires:	plasma-applet-stackfolder 
Requires:	plasma-desktoptheme-rosa
BuildRequires:	kdebase4-workspace-devel 
BuildRequires:	kdebase4-devel
BuildRequires:	automoc4

%files
%_kde_libdir/kde4/*.so
%_kde_services/*.desktop

#--------------------------------------------------------------------

%description
ROSA panel

%prep
%setup -q
%patch0 -p1 -b .i18nDirs~
find -name \*.h -o -name \*.cpp|xargs chmod 644

%build
%cmake_kde4

%install
%makeinstall_std -C build


%changelog
* Wed Jun 27 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.0-28
+ Revision: 807245
- fix spurious-executable-perm
- fix invalid-license
- fix mixed-use-of-spaces-and-tabs
- sync with rosapanel-1.0-30 from rosa linux (they seem to be confusing package
  release with version, thus not bumping version:|)

* Thu Jun 07 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1:1.0-27
+ Revision: 803071
- Fix i18n Downloads/Documents directories

* Sat Jan 07 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.0-26
+ Revision: 758589
- Fix file list

* Tue Jan 03 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.0-25
+ Revision: 748760
- Rebuild against new KDE

* Thu Dec 15 2011 Ural Mullabaev <mur@mandriva.org> 1:1.0-24
+ Revision: 741666
- Adapted to the TaskManager-4.7.90
- Reworked launching mechanism from middle zone

  + Aleksey Ermakov <kuraisu@mandriva.org>
    - Fixed bug with plasma-desktop windows not showing on panel as tasks.

* Fri Nov 25 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-20
+ Revision: 733315
- Add automoc4 to workaround a rpm5 bug

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix casting issue preventing build (P0)

* Fri Nov 18 2011 Ural Mullabaev <mur@mandriva.org> 1.0-18
+ Revision: 731574
- Fix icons rotating in the middle zone at the top edge
  Added actions to the context menu: run new instance of application, collapse and expand widget.

* Fri Sep 09 2011 Eugeni Kozhanov <eugenik@mandriva.org> 1.0-06
+ Revision: 699084
- Allow add icons on middle zone at while

* Thu Sep 01 2011 Eugeni Kozhanov <eugenik@mandriva.org> 1.0-00
+ Revision: 697720
- Fix bug with shift icons on first start

* Mon Aug 22 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-92
+ Revision: 696207
- Back to slot sizeCheck

* Mon Aug 22 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-90
+ Revision: 696194
- Fix vertical moves agaen

* Wed Aug 17 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-82
+ Revision: 694833
- Fix moves to center in vertical mode

* Fri Aug 12 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-80
+ Revision: 694117
- Change distanse betwin icons
- Again correct hightlight
- Fix russion localisation in Icon applet
- Add depends betwin height of screen and height of panel

* Thu Aug 04 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-64
+ Revision: 693236
- Add exeption for Virtualbox on left zone
- Fix update on left and middle zone

* Mon Aug 01 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-58
+ Revision: 692648
- Change log

* Fri Jul 22 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-52
+ Revision: 691068
- Add hightlight for left and right edge
- Fix bug with sepparators
- Change trash can size
- Enabled top edge for panel
- Fix position for task icons

* Wed Jul 06 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-33
+ Revision: 688953
- Reaname applets. Fix icon size after vertical reduction

* Tue Jun 28 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.9-31
+ Revision: 687824
- Changed default panel height.

* Mon Jun 20 2011 Aleksey Ermakov <kuraisu@mandriva.org> 0.9-26
+ Revision: 686339
- Removed bug with flickering of active app when starting a new one.

* Fri Jun 10 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-25
+ Revision: 684143
- Fix duplicate icon bug (http://helpdesk.rosalab.ru/front/document.send.php?docid=99&tickets_id=121)

* Tue Jun 07 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-20
+ Revision: 683067
- Change license on panel to lGPL v2
- Add hightlight on non active task in ROSA theme
- Fix bug with non saves sepparators
- Change position sepparators when effects is enambled

* Tue May 31 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-08
+ Revision: 682042
- Up release
- Add requires plasma-desktoptheme-rosa

* Tue May 31 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.9-07
+ Revision: 682035
- Change layout spacing. Add sepparator for ROSA theme

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean spec file

* Thu May 19 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.8-30
+ Revision: 676196
- Up reliaze number.
- Big changes in rosaicon. Add 2 stackfolder. Change icons size on left zone. Stretch trashcan.

* Sun Apr 17 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.7-40
+ Revision: 654788
- QTimer change on signal again. Connect 2 additional signals. Delete pixmap trash.

* Thu Apr 14 2011 Alex Burmashev <burmashev@mandriva.org> 0.7-38
+ Revision: 652969
- test update
- update

* Mon Apr 11 2011 Eugeni Kozhanov <eugenik@mandriva.org> 0.7-34
+ Revision: 652587
- Clear cache files for build
- Remove artefacts after reboot
- Remove plasmoid applets. Add rosaicon applet based in standart icon applet. Set GPL license. Global fix - tar include clock patch

* Fri Apr 01 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.7-21
+ Revision: 649572
- Remove *AGAIN* the changelog from the spec file
- Add digital-clock on default panel
- Fix build dir for make install
- Clean spec file:
  	- Do not use an other distsuffix as mdv or mnb
  	- use kde macros ( %%cmake_kde4, %%kde_appsdir, %%kde_libdir, %%kde_datadir )
  	- fix spec file layout to respect kde policy
  	- Do not include changelog in the spec file
  	- We do not need a clean section anymore in rpm5
  	- Use rpm macros ( %%makeinstall_std )
  	- Remove numerous commented lines

  + Eugeni Kozhanov <eugenik@mandriva.org>
    - Add checking of exist files in plasmoids
    - Fix restore kickoff when rosa-launcher installed
    - Add height property fore panel
    - Add rosapanel in cooker
    - Created package structure for rosapanel.

